Subject: Re: WARNING: at mm/slub.c:3357, kernel BUG at mm/slub.c:3413

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 22 Nov 2011 07:27:55 +1100

On Mon, 2011-11-21 at 20:51 +0100, Markus Trippelsdorf wrote:
> On 2011.11.21 at 19:52 +0100, Markus Trippelsdorf wrote:
> > On 2011.11.21 at 19:39 +0100, Eric Dumazet wrote:
> > > Le lundi 21 novembre 2011 à 18:35 +0100, Markus Trippelsdorf a écrit :
> > > 
> > > > New one:
> > > 
> > > ...
> > > 
> > > I was just wondering if you were using CONFIG_CGROUPS=y, and if yes, if
> > > you could try to disable it.
> > 
> > # CONFIG_CGROUPS is not set
> > 
> > (I never enable CGROUPS on my machines)
> 
> Just for the record, I've attached full dmesg and my .config.
> (Will continue testing tomorrow)

Note that I hit a similar looking crash (sorry, I couldn't capture a
backtrace back then) on a PowerMac G5 (ppc64) while doing a large rsync
transfer yesterday with -rc2-something (cfcfc9ec) and 
Christian Kujau (CC) seems to be able to reproduce something similar on
some other ppc platform (Christian, what is your setup ?)

We haven't hit the poison checks, more like bad pointer derefs, almost
always in SLUB coming from skb alloc or free.

In my case, it's not easy to reproduce, so a bisection would be
error-prone.

Cheers,
Ben.

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Fight unfair telecom internet charges in Canada: sign http://stopthemeter.ca/
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>